Overview | Package | Class | Tree | Deprecated | Index | Help
| SOA © 2004 SoS Group All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sos.koa
Class AbstractObjectReader

    java.lang.Object
      sos.koa.AbstractObjectReader

All Implemented Interfaces:
  org.xml.sax.XMLReader

Direct Known Subclasses:
  AuditLogXMLReader, CandidateListXMLReader

public abstract class AbstractObjectReader
extends java.lang.Object
implements org.xml.sax.XMLReader

This class can be used as base class for XMLReaders that generate SAX events from Java objects.

Field Summary
`[spec_public] protected org.xml.sax.ErrorHandler` | `errorHandler` Error handler
`[spec_public] private java.util.Map` | `features`
`[spec_public] protected EasyGenerationContentHandlerProxy` | `handler` Proxy for easy SAX event generation
`private static java.lang.String` | `NAMESPACES`
`private static java.lang.String` | `NS_PREFIXES`
`[spec_public] private org.xml.sax.ContentHandler` | `orgHandler`

Constructor Summary
`AbstractObjectReader()` Constructor for the AbstractObjectReader object

Method Summary
`org.xml.sax.ContentHandler` | `getContentHandler()`
`org.xml.sax.DTDHandler` | `getDTDHandler()`
`org.xml.sax.EntityResolver` | `getEntityResolver()`
`org.xml.sax.ErrorHandler` | `getErrorHandler()`
`boolean` | `getFeature(java.lang.String name)`
`java.lang.Object` | `getProperty(java.lang.String name)`
`protected boolean` | `isNamespacePrefixes()` Returns true if the MS_PREFIXES feature is enabled.
`protected boolean` | `isNamespaces()` Returns true if the NAMESPACES feature is enabled.
`void` | `parse(java.lang.String systemId)`
`abstract void` | `parse(org.xml.sax.InputSource input)`
`void` | `setContentHandler(org.xml.sax.ContentHandler handler)`
`void` | `setDTDHandler(org.xml.sax.DTDHandler handler)`
`void` | `setEntityResolver(org.xml.sax.EntityResolver resolver)`
`void` | `setErrorHandler(org.xml.sax.ErrorHandler handler)`
`void` | `setFeature(java.lang.String name, boolean value)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMESPACES

    private static final java.lang.String NAMESPACES

### NS_PREFIXES

    private static final java.lang.String NS_PREFIXES

### features

    private java.util.Map features

  Specifications: spec_public non_null

### orgHandler

    private org.xml.sax.ContentHandler orgHandler

  Specifications: spec_public

### handler

    protected EasyGenerationContentHandlerProxy handler

  Proxy for easy SAX event generation

  Specifications: spec_public

### errorHandler

    protected org.xml.sax.ErrorHandler errorHandler

  Error handler

  Specifications: spec_public

Constructor Detail

### AbstractObjectReader

    public AbstractObjectReader()

  Constructor for the AbstractObjectReader object

  Specifications:
    assignable objectState;

Method Detail

### getContentHandler

    public org.xml.sax.ContentHandler getContentHandler()

  Specified by:
    `getContentHandler` in interface `org.xml.sax.XMLReader`
  See Also:
    `XMLReader.getContentHandler()`
  Specifications: pure

### setContentHandler

    public void setContentHandler(org.xml.sax.ContentHandler handler)

  Specified by:
    `setContentHandler` in interface `org.xml.sax.XMLReader`
  See Also:
    `XMLReader.setContentHandler(ContentHandler)`
  Specifications:
  also
    assignable objectState;

### getErrorHandler

    public org.xml.sax.ErrorHandler getErrorHandler()

  Specified by:
    `getErrorHandler` in interface `org.xml.sax.XMLReader`
  See Also:
    `XMLReader.getErrorHandler()`
  Specifications: pure

### setErrorHandler

    public void setErrorHandler(org.xml.sax.ErrorHandler handler)

  Specified by:
    `setErrorHandler` in interface `org.xml.sax.XMLReader`
  See Also:
    `XMLReader.setErrorHandler(ErrorHandler)`
  Specifications:
  also
    assignable objectState;

### getDTDHandler

    public org.xml.sax.DTDHandler getDTDHandler()

  Specified by:
    `getDTDHandler` in interface `org.xml.sax.XMLReader`
  See Also:
    `XMLReader.getDTDHandler()`
  Specifications: pure

### setDTDHandler

    public void setDTDHandler(org.xml.sax.DTDHandler handler)

  Specified by:
    `setDTDHandler` in interface `org.xml.sax.XMLReader`
  See Also:
    `XMLReader.setDTDHandler(DTDHandler)`
  Specifications:
  also
    assignable objectState;

### getEntityResolver

    public org.xml.sax.EntityResolver getEntityResolver()

  Specified by:
    `getEntityResolver` in interface `org.xml.sax.XMLReader`
  See Also:
    `XMLReader.getEntityResolver()`
  Specifications: pure

### setEntityResolver

    public void setEntityResolver(org.xml.sax.EntityResolver resolver)

  Specified by:
    `setEntityResolver` in interface `org.xml.sax.XMLReader`
  See Also:
    `XMLReader.setEntityResolver(EntityResolver)`
  Specifications:
  also
    assignable objectState;

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

  Specified by:
    `getProperty` in interface `org.xml.sax.XMLReader`
  See Also:
    `XMLReader.getProperty(String)`
  Specifications: pure

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)

  Specified by:
    `setProperty` in interface `org.xml.sax.XMLReader`
  See Also:
    `XMLReader.setProperty(String, Object)`
  Specifications:
  also
    assignable objectState;

### getFeature

    public boolean getFeature(java.lang.String name)

  Specified by:
    `getFeature` in interface `org.xml.sax.XMLReader`
  See Also:
    `XMLReader.getFeature(String)`
  Specifications: pure
  also
    requires features.containsKey(name);

### isNamespaces

    protected boolean isNamespaces()

  Returns true if the NAMESPACES feature is enabled.

  Returns:
    boolean true if enabled
  Specifications: pure

### isNamespacePrefixes

    protected boolean isNamespacePrefixes()

  Returns true if the MS_PREFIXES feature is enabled.

  Returns:
    boolean true if enabled
  Specifications: pure

### setFeature

    public void setFeature(java.lang.String name,
                           boolean value)

  Specified by:
    `setFeature` in interface `org.xml.sax.XMLReader`
  See Also:
    `XMLReader.setFeature(String, boolean)`
  Specifications:
  also
    assignable objectState;

### parse

    public void parse(java.lang.String systemId)
               throws java.io.IOException,
                      org.xml.sax.SAXException

  Specified by:
    `parse` in interface `org.xml.sax.XMLReader`
  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`
  See Also:
    `XMLReader.parse(String)`
  Specifications:
  also
    assignable objectState;

### parse

    public abstract void parse(org.xml.sax.InputSource input)
                        throws java.io.IOException,
                               org.xml.sax.SAXException

  Specified by:
    `parse` in interface `org.xml.sax.XMLReader`
  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`
  See Also:
    `XMLReader.parse(InputSource)`
  Specifications:
  also
    assignable objectState;

Overview | Package | Class | Tree | Deprecated | Index | Help
| SOA © 2004 SoS Group All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD